SIGROK-FWEXTRACT-HANTEK-DSO(1)

NAME
sigrok-fwextract-hantek-dso - Extract Hantek DSO-2xxx/52xx firmware

SYNOPSIS
sigrok-fwextract-hantek-dso [FILE]

DESCRIPTION
This tool extracts firmware from the driver that comes with the Hantek DSO-2xxx/52xx series USB oscilloscopes. Find the 32-bit driver installed on the Windows system -- typically called DSOxxxx1.sys or DsoxxxxX861.sys, where xxxx is your device's model.

Use it like this:

$ sigrok-fwextract-hantek-dso Dso2090X861.sys
saved 4730 bytes to hantek-dso-2090.fw

Copy the resulting file over to the location where libsigrok expects to find its firmware files. By default this is /usr/local/share/sigrok-firmware.

OPTIONS
None.

EXIT STATUS
Exits with 0 on success, 1 on most failures.

SEE ALSO
sigrok-fwextract-saleae-logic16(1)

BUGS
Please report any bugs via Bugzilla (http://sigrok.org/bugzilla) or on the sigrok-devel mailing list (sigrok-devel@lists.souceforge.net).

LICENSE
This program is covered by the GNU General Public License (GPL), version 3 or later.

AUTHORS
Please see the individual source code files.